/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.nlpack.generator.csv.record;

/**
 * blancoCsvファイル定義書から作成されたレコードクラス<br>
 * ファイル定義[BlancoNLpackGeneratorOmitList/blancoNLpackGenerator が「処理しない」対象をあらわすCSVファイル。]のレコードクラス
 */
public class BlancoNLpackGeneratorOmitListCsvRecord {
    /**
     * フィールド [BundleUri]
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号: 1<br>
     * 項目の説明: URI<br>
     * 必須項目
     */
    private String fBundleUri;

    /**
     * フィールド [Reason]
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号: 2<br>
     * 項目の説明: Reason
     */
    private String fReason;

    /**
     * フィールド [BundleUri]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号: 1<br>
     * 項目の説明: URI<br>
     * 必須項目
     *
     * @param argBundleUri フィールド[BundleUri]に格納したい値
     */
    public void setBundleUri(final String argBundleUri) {
        fBundleUri = argBundleUri;
    }

    /**
     * フィールド[BundleUri]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号: 1<br>
     * 項目の説明: URI<br>
     * 必須項目
     *
     * @return フィールド[BundleUri]に格納されている値
     */
    public String getBundleUri() {
        return fBundleUri;
    }

    /**
     * フィールド [Reason]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号: 2<br>
     * 項目の説明: Reason
     *
     * @param argReason フィールド[Reason]に格納したい値
     */
    public void setReason(final String argReason) {
        fReason = argReason;
    }

    /**
     * フィールド[Reason]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号: 2<br>
     * 項目の説明: Reason
     *
     * @return フィールド[Reason]に格納されている値
     */
    public String getReason() {
        return fReason;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.nlpack.generator.csv.record.BlancoNLpackGeneratorOmitListCsvRecord[");
        buf.append("BundleUri=" + fBundleUri);
        buf.append(",Reason=" + fReason);
        buf.append("]");
        return buf.toString();
    }
}
